Subject: [saag] Kitten and Krb-wg Summary - IETF 85

From: Shawn M Emery <[email-masked]>
Date: Wed, 07 Nov 2012 14:48:47 -0700

Co-chairs: Sam Hartman, Shawn Emery, and Josh Howlett (new, absent)

The WGs met for the morning session on Tuesday (10.6.12).  The 2 1/2
hour session was combined and will be merged under the kitten WG in
the near future.

draft-ietf-kitten-gssapi-extensions-iana
----------------------------------------
Per programming language registry update in 07 made by Alexey.  Looking for reviewers.

draft-ietf-kitten-gssapi-naming-exts
------------------------------------
Now RFC 6680!

draft-ietf-kitten-sasl-openid
-----------------------------
Now RFC 6616!

draft-ietf-kitten-sasl-saml
---------------------------
Now RFC 6595!

draft-ietf-kitten-sasl-saml-ec
------------------------------
Scott Cantor gave a presentation on updates to the SASL SAML-EC draft and brought
up issues with expert review, naming and keying issues.

draft-ietf-kitten-sasl-oauth
----------------------------
WGLC expired on 10/7/12.  Issues were brought up on the list.  Hannes agreed to update
the draft with example token types and fixes to the IMAP/SMTP examples.

draft-ietf-krb-wg-kdc-model
---------------------------
DISCUSS brought up by Pete Resnik.

draft-ietf-krb-wg-pkinit-alg-agility
------------------------------------
Needs to be sent to IESG (passed WGLC) and Josh will shepherd.  Tom had found an IANA
conflict, which was discussed during the Kerberos IANA status.

draft-ietf-krb-wg-kerberos-referrals
------------------------------------
Approved; in RFC editor queue.

draft-sakane-dhc-dhcpv6-kdc-option
----------------------------------
In AUTH48.

draft-ietf-krb-wg-camellia-cts
------------------------------
Approved; in RFC editor queue.

Suite B Profile for Kerberos 5
------------------------------
Kelly Burgin had presented Suite B profile use for Kerberos 5.  He is looking for
feed-back on his draft and direction on whether to adopt the draft as a WG item.

Kerberos IANA
-------------
Tom Yu had brought up a conflict with error code 82 and proposals to resolve this:
update the pkinit-alg draft, erratum for 6111, or overload the error code.
In regards to the registry draft there were questions on whether to document message
types, tags, and ASN.1.  Will take the questions to the list

Charter Discussion
------------------
New work items were discussed for the merged WGs.  Interest was gauged for each
of these potential work items, while polling for individuals that would be major
contributors and reviewers of subsequent drafts.

Kerberos Authorization Data Container Authenticated by Multiple MACs
--------------------------------------------------------------------
Tom Yu had brought a question on whether the KDC MAC is meaningful without a strong
binding to the enclosing service ticket?  Will take the question to the list.

Open Mic
--------
No one came forward.

Shawn.
--
kitten and krb-wg co-chair